# do not build debug packages for now
%global debug_package %{nil}

%global version 5.9.2
%global revision 50.14296cd.5.9

Name:		mcg
Version:	%{version}
Release:	51%{?dist}
Summary:	Multicloud Object Gateway command-line

License:	ASL 2.0
URL:		https://www.noobaa.com/
Source0:	noobaa-operator-50.14296cd.5.9.tar.gz
Patch0:         replace_default_DBType.patch
Patch1:		set_downstream_images.patch
Patch2:		hide_install_uninstall_from_cli.patch
Patch3:		fix-win-log-formatting.patch
Patch4:		hide_bucket_from_cli.patch

BuildRequires:	rsync
BuildRequires:	go-toolset

%description
The Multicloud Object Gateway command-line is a tool that helps administrators to manage the deployment and
second-day operations for NooBaa systems, such as adding backing stores,
managing bucket claims, and setting mirroring and multi-cloud policies via
bucket classes. It provides a friendly interface and produces YAML files
for the operator in the background.

%package redistributable
Summary:        Multicloud Object Gateway command-line binaries for Linux, Mac OSX, and Windows

%description redistributable
The Multicloud Object Gateway command-line binaries for Linux, Mac OSX, and Windows
is a tool that helps administrators to manage the deployment and
second-day operations for NooBaa systems, such as adding backing stores,
managing bucket claims, and setting mirroring and multi-cloud policies via
bucket classes. It provides a friendly interface and produces YAML files

%prep
%setup -c
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1

%build
go version
%ifarch ppc64le
GOOS=linux GOARCH=ppc64le CGO_ENABLED=0 GO111MODULE=on go build -ldflags="-s -w" -mod=vendor
%endif
%ifarch %{arm} aarch64
GOOS=linux GOARCH=arm64 CGO_ENABLED=0 GO111MODULE=on go build -ldflags="-s -w" -mod=vendor
%endif
%ifarch s390x
GOOS=linux GOARCH=s390x CGO_ENABLED=0 GO111MODULE=on go build -ldflags="-s -w" -mod=vendor
%endif
%ifarch x86_64
CGO_ENABLED=0 GO111MODULE=on go build -ldflags="-s -w" -mod=vendor
GOOS=darwin CGO_ENABLED=0 GO111MODULE=on go build -o noobaa-operator-darwin -ldflags="-s -w" -mod=vendor 
GOOS=windows CGO_ENABLED=0 GO111MODULE=on go build -o noobaa-operator-windows -ldflags="-s -w" -mod=vendor 
%endif
strip -s noobaa-operator

%install
# Use install that provides option for file permission
install -D -p -m 755 noobaa-operator %{buildroot}%{_bindir}/noobaa
%ifarch x86_64
install -D -p -m 755 noobaa-operator %{buildroot}%{_datadir}/%{name}/linux/noobaa
install -D -p -m 755 noobaa-operator-darwin %{buildroot}%{_datadir}/%{name}/macosx/noobaa
install -D -p -m 755 noobaa-operator-windows %{buildroot}/%{_datadir}/%{name}/windows/noobaa.exe
%endif
install -D -p -m 644 doc/noobaa.1 %{buildroot}%{_mandir}/man1/noobaa.1

%files
%{_bindir}/noobaa
%doc doc/*
%{_mandir}/man1/*

%ifarch x86_64
%files redistributable
%dir %{_datadir}/%{name}/linux/
%dir %{_datadir}/%{name}/macosx/
%dir %{_datadir}/%{name}/windows/
%{_datadir}/%{name}/linux/noobaa
%{_datadir}/%{name}/macosx/noobaa
%{_datadir}/%{name}/windows/noobaa.exe
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Tue Mar 22 2022 CPaaS User <cpaas-ops@redhat.com> - 5.9.2-51
- Bump release

* Tue Mar 22 2022 CPaaS Jenkins <ceph-jenkins@redhat.com> - 5.9.2-50
- Rebase to 5.9.2 (14296cd)

* Mon Feb 28 2022 CPaaS User <cpaas-ops@redhat.com> - 5.9.2-49
- Bump release

* Mon Feb 28 2022 CPaaS Jenkins <ceph-jenkins@redhat.com> - 5.9.2-48
- Rebase to 5.9.2 (30cc70e)

* Thu Feb 03 2022 CPaaS User <cpaas-ops@redhat.com> - 5.9.2-47
- Bump release

* Thu Feb 03 2022 CPaaS Jenkins <ceph-jenkins@redhat.com> - 5.9.2-46
- Rebase to 5.9.2 (2191e7b)

* Thu Jan 27 2022 CPaaS User <cpaas-ops@redhat.com> - 5.9.2-45
- Bump release

* Tue Jan 25 2022 CPaaS Jenkins <ceph-jenkins@redhat.com> - 5.9.2-44
- Change the release field for rpmdev-bumpspec support

* Thu Jan 06 2022 Ceph Jenkins <ceph-jenkins@redhat.com> - 5.9.2-43.b946eff.5.9
- Rebase to mcg-operator-5.9.2-43.b946eff.5.9

* Fri Dec 24 2021 Ceph Jenkins <ceph-jenkins@redhat.com> - 5.9.0-42.f8650b3.5.9
- Rebase to mcg-operator-5.9.0-42.f8650b3.5.9

* Fri Dec 17 2021 Ceph Jenkins <ceph-jenkins@redhat.com> - 5.9.0-41.651fbb8.5.9
- Rebase to mcg-operator-5.9.0-41.651fbb8.5.9

* Thu Dec 16 2021 Ceph Jenkins <ceph-jenkins@redhat.com> - 5.9.0-40.651fbb8.5.9
- Rebase to mcg-operator-5.9.0-40.651fbb8.5.9

* Wed Dec 15 2021 Ceph Jenkins <ceph-jenkins@redhat.com> - 5.9.0-39.651fbb8.5.9
- Rebase to mcg-operator-5.9.0-39.651fbb8.5.9

* Tue Nov 23 2021 Ceph Jenkins <ceph-jenkins@redhat.com> - 5.9.0-38.a15af9c.5.9
- Rebase to mcg-operator-5.9.0-38.a15af9c.5.9

* Wed Nov 17 2021 Ceph Jenkins <ceph-jenkins@redhat.com> - 5.9.0-37.a15af9c.5.9
- Rebase to mcg-operator-5.9.0-37.a15af9c.5.9

* Wed Nov 17 2021 Ceph Jenkins <ceph-jenkins@redhat.com> - 5.9.0-36.c507de3.5.9
- Rebase to mcg-operator-5.9.0-36.c507de3.5.9

* Thu Oct 28 2021 Ceph Jenkins <ceph-jenkins@redhat.com> - 5.9.0-35.402bd79.5.9
- Rebase to mcg-operator-5.9.0-35.402bd79.5.9

* Wed Oct 27 2021 Ceph Jenkins <ceph-jenkins@redhat.com> - 5.9.0-34.96c2cc4.5.9
- Rebase to mcg-operator-5.9.0-34.96c2cc4.5.9

* Wed Oct 27 2021 Ceph Jenkins <ceph-jenkins@redhat.com> - 5.9.0-33.512e20d.5.9
- Rebase to mcg-operator-5.9.0-33.512e20d.5.9

* Thu Oct 21 2021 Ceph Jenkins <ceph-jenkins@redhat.com> - 5.9.0-32.422daef.5.9
- Rebase to mcg-operator-5.9.0-32.422daef.5.9

* Thu Oct 21 2021 Ceph Jenkins <ceph-jenkins@redhat.com> - 5.9.0-31.1349eec.danny_fixes
- Rebase to mcg-operator-5.9.0-31.1349eec.danny_fixes

* Wed Oct 20 2021 Ceph Jenkins <ceph-jenkins@redhat.com> - 5.9.0-30.2c46760.5.9
- Rebase to mcg-operator-5.9.0-30.2c46760.5.9

* Tue Oct 19 2021 Ceph Jenkins <ceph-jenkins@redhat.com> - 5.9.0-29.9740b34.5.9
- Rebase to mcg-operator-5.9.0-29.9740b34.5.9

* Mon Oct 18 2021 Ceph Jenkins <ceph-jenkins@redhat.com> - 5.9.0-28.61dcf87.5.9
- Rebase to mcg-operator-5.9.0-28.61dcf87.5.9

* Sun Oct 17 2021 Ceph Jenkins <ceph-jenkins@redhat.com> - 5.9.0-27.12cdc36.5.9
- Rebase to mcg-operator-5.9.0-27.12cdc36.5.9

* Thu Oct 14 2021 Ceph Jenkins <ceph-jenkins@redhat.com> - 5.9.0-26.5772ae9.5.9
- Rebase to mcg-operator-5.9.0-26.5772ae9.5.9

* Thu Oct 14 2021 Ceph Jenkins <ceph-jenkins@redhat.com> - 5.9.0-25.1fdbe69.jacky_fixes2
- Rebase to mcg-operator-5.9.0-25.1fdbe69.jacky_fixes2

* Thu Oct 07 2021 Ceph Jenkins <ceph-jenkins@redhat.com> - 5.9.0-24.5772ae9.5.9
- Rebase to mcg-operator-5.9.0-24.5772ae9.5.9

* Thu Oct 07 2021 Ceph Jenkins <ceph-jenkins@redhat.com> - 5.9.0-23.ad3440c.5.9
- Rebase to mcg-operator-5.9.0-23.ad3440c.5.9

* Wed Oct 06 2021 Ceph Jenkins <ceph-jenkins@redhat.com> - 5.9.0-22.011c8a3.5.9
- Rebase to mcg-operator-5.9.0-22.011c8a3.5.9

* Mon Oct 04 2021 Ceph Jenkins <ceph-jenkins@redhat.com> - 5.9.0-21.011c8a3.5.9
- Rebase to mcg-operator-5.9.0-21.011c8a3.5.9

* Tue Sep 21 2021 Ceph Jenkins <ceph-jenkins@redhat.com> - 5.9.0-20.d2affe4.5.9
- Rebase to mcg-operator-5.9.0-20.d2affe4.5.9

* Tue Sep 14 2021 Ceph Jenkins <ceph-jenkins@redhat.com> - 5.9.0-19.d2affe4.5.9
- Rebase to mcg-operator-5.9.0-19.d2affe4.5.9

* Tue Aug 31 2021 Ceph Jenkins <ceph-jenkins@redhat.com> - 5.9.0-18.d2affe4.5.9
- Rebase to mcg-operator-5.9.0-18.d2affe4.5.9

* Sun Aug 29 2021 Ceph Jenkins <ceph-jenkins@redhat.com> - 5.9.0-17.a61e971.5.9
- Rebase to mcg-operator-5.9.0-17.a61e971.5.9

* Tue Aug 24 2021 Ceph Jenkins <ceph-jenkins@redhat.com> - 5.9.0-16.5bb3e1d.5.9
- Rebase to mcg-operator-5.9.0-16.5bb3e1d.5.9

* Sun Aug 22 2021 Ceph Jenkins <ceph-jenkins@redhat.com> - 5.9.0-15.e9400e0.5.9
- Rebase to mcg-operator-5.9.0-15.e9400e0.5.9

* Mon Aug 16 2021 Ceph Jenkins <ceph-jenkins@redhat.com> - 5.9.0-13.6ca21a2.5.9
- Rebase to mcg-operator-5.9.0-13.6ca21a2.5.9

* Tue Aug 10 2021 Ceph Jenkins <ceph-jenkins@redhat.com> - 5.9.0-12.1ce3288.5.9
- Rebase to mcg-operator-5.9.0-12.1ce3288.5.9

* Mon Aug 09 2021 Ceph Jenkins <ceph-jenkins@redhat.com> - 5.9.0-11.a85d826.5.9
- Rebase to mcg-operator-5.9.0-11.a85d826.5.9

* Sun Aug 08 2021 Ceph Jenkins <ceph-jenkins@redhat.com> - 5.9.0-10.9e97bad.5.9
- Rebase to mcg-operator-5.9.0-10.9e97bad.5.9

* Wed Aug 04 2021 Ceph Jenkins <ceph-jenkins@redhat.com> - 5.9.0-9.f260978.5.9
- Rebase to mcg-operator-5.9.0-9.f260978.5.9

* Mon Aug 02 2021 Ceph Jenkins <ceph-jenkins@redhat.com> - 5.9.0-8.93acc35.5.9
- Rebase to mcg-operator-5.9.0-8.93acc35.5.9

* Mon Jul 26 2021 Ceph Jenkins <ceph-jenkins@redhat.com> - 5.9.0-7.80587a7.5.9
- Rebase to mcg-operator-5.9.0-7.80587a7.5.9

* Sun Jul 25 2021 Ceph Jenkins <ceph-jenkins@redhat.com> - 5.9.0-6.2e23ef2.5.9
- Rebase to mcg-operator-5.9.0-6.2e23ef2.5.9

* Mon Jul 19 2021 Ceph Jenkins <ceph-jenkins@redhat.com> - 5.9.0-5.19f4ded.5.9
- Rebase to mcg-operator-5.9.0-5.19f4ded.5.9

* Thu Jul 15 2021 Ceph Jenkins <ceph-jenkins@redhat.com> - 5.9.0-4.96f6a08.5.9
- Rebase to mcg-operator-5.9.0-4.96f6a08.5.9

* Sun Jul 11 2021 Ceph Jenkins <ceph-jenkins@redhat.com> - 5.9.0-3.d38a3f9.5.9
- Rebase to mcg-operator-5.9.0-3.d38a3f9.5.9

* Thu Jul 01 2021 Ceph Jenkins <ceph-jenkins@redhat.com> - 5.9.0-2.369eb9a.5.9
- Rebase to mcg-operator-5.9.0-2.369eb9a.5.9

* Thu Jul 01 2021 Ceph Jenkins <ceph-jenkins@redhat.com> - 5.9.0-1.369eb9a.5.9
- Rebase to mcg-operator-5.9.0-1.369eb9a.5.9

* Wed Jun 30 2021 Liran Mauda <lmauda@redhat.com> - 5.9.0-5.9
- Initial build for 5.9.0

* Wed Feb 24 2021 Liran Mauda <lmauda@redhat.com> - 5.8.0-5.8
- Initial build for 5.8.0

* Sun Jun 28 2020 Liran Mauda <lmauda@redhat.com> - 5.7.0-5.7
- Initial build for 5.7.0
- Building CLI for macosx, windows and linux

* Sun Jun 28 2020 Liran Mauda <lmauda@redhat.com> - 5.6.0-5.6
- Initial build for 5.6.0

* Thu Apr 30 2020 Liran Mauda <lmauda@redhat.com> - 2.3.0-2.3
- Initial build for 2.3.0
- Update go to v1.13

* Sun Apr 26 2020 Liran Mauda <lmauda@redhat.com> - 2.2.0-2.2
- Initial build for 2.2.0
- Update the Summary and the Description

* Mon Dec 23 2019 Liran Mauda <lmauda@redhat.com> - 2.1.0-2.1
- Initial build for 2.1.0

* Fri Dec 13 2019 Ceph Jenkins <ceph-jenkins@redhat.com> - 2.0.9-43.db6a79b.2.0
- Rebase to mcg-operator-2.0.9-43.db6a79b.2.0

* Sun Oct 27 2019 Liran Mauda <lmauda@redhat.com> - 2.0.4-7
- building for x86_64 and ppc64le

* Sun Aug 25 2019 Liran Mauda <lmauda@redhat.com>
- Multi cloud gateway CLI
